| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
EventCollectionSelector::MyContextType Class Reference

`#include <src/EventSelector/EventCollectionSelector.h>`

Inheritance diagram for EventCollectionSelector::MyContextType:
[legend]
Collaboration diagram for EventCollectionSelector::MyContextType:
[legend]

## Public Member Functions
| MyContextType (NTuple::Tuple *t, NTuple::Item< IOpaqueAddress * > *i)
| MyContextType (MyContextType *ctxt=nullptr)
| MyContextType (const MyContextType &ctxt)
| ~MyContextType () override
void * | identifier () const override
void | setAddress (IOpaqueAddress *pAddr)
Public Member Functions inherited from IEvtSelector::Context
virtual | ~Context ()=default

## Public Attributes
std::string | criteria
NTuple::Tuple * | tuple
NTuple::Item< IOpaqueAddress * > * | item
IOpaqueAddress * | addressBuffer

## Detailed Description

Definition at line 45 of file EventCollectionSelector.h.

## Constructor & Destructor Documentation

EventCollectionSelector::MyContextType::MyContextType | ( | NTuple::Tuple * | t,
|  | NTuple::Item< IOpaqueAddress * > * | i
| ) |  |
| inline

Definition at line 52 of file EventCollectionSelector.h.

53 {
54 addressBuffer = new GenericAddress();
55 addressBuffer->addRef();
56 tuple = t;
57 item = i;
58 }
GenericAddress
Generic Transient Address.
Definition: GenericAddress.h:20
EventCollectionSelector::MyContextType::tuple
NTuple::Tuple * tuple
Definition: EventCollectionSelector.h:49
EventCollectionSelector::MyContextType::item
NTuple::Item< IOpaqueAddress * > * item
Definition: EventCollectionSelector.h:50
EventCollectionSelector::MyContextType::addressBuffer
IOpaqueAddress * addressBuffer
Definition: EventCollectionSelector.h:51
IOpaqueAddress::addRef
virtual unsigned long addRef()=0
Add reference to object.

EventCollectionSelector::MyContextType::MyContextType | ( | MyContextType * | ctxt = `nullptr` | ) |
| inline

Definition at line 59 of file EventCollectionSelector.h.

60 {
61 addressBuffer = new GenericAddress();
62 addressBuffer->addRef();
63 tuple = ( ctxt ) ? ctxt->tuple : nullptr;
64 item = ( ctxt ) ? ctxt->item : nullptr;
65 }
GenericAddress
Generic Transient Address.
Definition: GenericAddress.h:20
EventCollectionSelector::MyContextType::tuple
NTuple::Tuple * tuple
Definition: EventCollectionSelector.h:49
EventCollectionSelector::MyContextType::item
NTuple::Item< IOpaqueAddress * > * item
Definition: EventCollectionSelector.h:50
EventCollectionSelector::MyContextType::addressBuffer
IOpaqueAddress * addressBuffer
Definition: EventCollectionSelector.h:51
IOpaqueAddress::addRef
virtual unsigned long addRef()=0
Add reference to object.

EventCollectionSelector::MyContextType::MyContextType | ( | const MyContextType & | ctxt | ) |
| inline

Definition at line 66 of file EventCollectionSelector.h.

66 : IEvtSelector::Context( ctxt )
67 {
68 addressBuffer = new GenericAddress();
69 addressBuffer->addRef();
70 tuple = ctxt.tuple;
71 item = ctxt.item;
72 }
IEvtSelector::Context
Definition: IEvtSelector.h:24
GenericAddress
Generic Transient Address.
Definition: GenericAddress.h:20
EventCollectionSelector::MyContextType::tuple
NTuple::Tuple * tuple
Definition: EventCollectionSelector.h:49
EventCollectionSelector::MyContextType::item
NTuple::Item< IOpaqueAddress * > * item
Definition: EventCollectionSelector.h:50
EventCollectionSelector::MyContextType::addressBuffer
IOpaqueAddress * addressBuffer
Definition: EventCollectionSelector.h:51
IOpaqueAddress::addRef
virtual unsigned long addRef()=0
Add reference to object.

EventCollectionSelector::MyContextType::~MyContextType | ( |  | ) |
| inline override

Definition at line 73 of file EventCollectionSelector.h.

73 { addressBuffer->release(); }
IOpaqueAddress::release
virtual unsigned long release()=0
release reference to object
EventCollectionSelector::MyContextType::addressBuffer
IOpaqueAddress * addressBuffer
Definition: EventCollectionSelector.h:51

## Member Function Documentation

void* EventCollectionSelector::MyContextType::identifier | ( |  | ) | const
| inline override virtual

Implements IEvtSelector::Context.

Definition at line 74 of file EventCollectionSelector.h.

74 { return (void*)addressBuffer; }
EventCollectionSelector::MyContextType::addressBuffer
IOpaqueAddress * addressBuffer
Definition: EventCollectionSelector.h:51

void EventCollectionSelector::MyContextType::setAddress | ( | IOpaqueAddress * | pAddr | ) |

## Member Data Documentation

IOpaqueAddress* EventCollectionSelector::MyContextType::addressBuffer

Definition at line 51 of file EventCollectionSelector.h.

std::string EventCollectionSelector::MyContextType::criteria

Definition at line 48 of file EventCollectionSelector.h.

NTuple::Item<IOpaqueAddress*>* EventCollectionSelector::MyContextType::item

Definition at line 50 of file EventCollectionSelector.h.

NTuple::Tuple* EventCollectionSelector::MyContextType::tuple

Definition at line 49 of file EventCollectionSelector.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/EventSelector/EventCollectionSelector.h